#ifndef OSCWIDGET_H
#define OSCWIDGET_H

#include <QWidget>
#include "spdlog/spdlog.h"
#include "eyemap.h"

namespace Ui {
class OscWidget;
}

class OscWidget : public QWidget
{
    Q_OBJECT

public:
    explicit OscWidget(QWidget *parent = nullptr);
    ~OscWidget();

private slots:
    
    void on_pBtn_startCap_clicked();
    void on_pBtn_resetCap_clicked();
    void on_pBtn_stopCap_clicked();

private:
    Ui::OscWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
    EyeMap* m_eyeMap = nullptr;
    QMap<QString, int> m_mapTime;
};

#endif // OSCWIDGET_H
